kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From guozh...@apache.org
Subject [kafka] branch 1.1 updated: MINOR:Update versions for streams upgrade tests (#5609)
Date Mon, 10 Sep 2018 21:24:10 GMT
This is an automated email from the ASF dual-hosted git repository.

guozhang pushed a commit to branch 1.1
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/1.1 by this push:
     new 09b3982  MINOR:Update versions for streams upgrade tests (#5609)
09b3982 is described below

commit 09b398260ee801c3dd4c941f60d06e7a4def25c7
Author: Bill Bejeck <bbejeck@gmail.com>
AuthorDate: Mon Sep 10 17:24:03 2018 -0400

    MINOR:Update versions for streams upgrade tests (#5609)
    
    Reviewers: Matthias J. Sax <matthias@confluent.io>, Guozhang Wang <wangguoz@gmail.com>
---
 bin/kafka-run-class.sh                             |  2 +-
 gradle/dependencies.gradle                         |  6 +++---
 tests/docker/Dockerfile                            |  7 ++++---
 .../tests/streams/streams_upgrade_test.py          | 22 ++++++++++++----------
 tests/kafkatest/version.py                         | 14 +++++++++++---
 vagrant/base.sh                                    | 14 ++++++++------
 6 files changed, 39 insertions(+), 26 deletions(-)

diff --git a/bin/kafka-run-class.sh b/bin/kafka-run-class.sh
index 7a0a92a..fa02c57 100755
--- a/bin/kafka-run-class.sh
+++ b/bin/kafka-run-class.sh
@@ -107,7 +107,7 @@ else
   for file in "$base_dir"/streams/upgrade-system-tests-$SHORT_VERSION_NO_DOTS/build/libs/kafka-streams-upgrade-system-tests*.jar;
   do
     if should_include_file "$file"; then
-      CLASSPATH="$CLASSPATH":"$file"
+      CLASSPATH="$file":"$CLASSPATH"
     fi
   done
 fi
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index 24cb78c..b6ae7f4 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -64,9 +64,9 @@ versions += [
   junit: "4.12",
   kafka_0100: "0.10.0.1",
   kafka_0101: "0.10.1.1",
-  kafka_0102: "0.10.2.1",
-  kafka_0110: "0.11.0.2",
-  kafka_10: "1.0.1",
+  kafka_0102: "0.10.2.2",
+  kafka_0110: "0.11.0.3",
+  kafka_10: "1.0.2",
   lz4: "1.4.1",
   metrics: "2.2.0",
   // PowerMock 1.x doesn't support Java 9, so use PowerMock 2.0.0 beta
diff --git a/tests/docker/Dockerfile b/tests/docker/Dockerfile
index b6c4997..81bd128 100644
--- a/tests/docker/Dockerfile
+++ b/tests/docker/Dockerfile
@@ -45,9 +45,10 @@ RUN mkdir -p "/opt/kafka-0.8.2.2" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.8.2.2.t
 RUN mkdir -p "/opt/kafka-0.9.0.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.9.0.1.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.9.0.1"
 RUN mkdir -p "/opt/kafka-0.10.0.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.10.0.1.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.10.0.1"
 RUN mkdir -p "/opt/kafka-0.10.1.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.10.1.1.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.10.1.1"
-RUN mkdir -p "/opt/kafka-0.10.2.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.10.2.1.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.10.2.1"
-RUN mkdir -p "/opt/kafka-0.11.0.2" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.11.0.2.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.11.0.2"
-RUN mkdir -p "/opt/kafka-1.0.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-1.0.1.tgz" |
tar xz --strip-components=1 -C "/opt/kafka-1.0.1"
+RUN mkdir -p "/opt/kafka-0.10.2.2" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.10.2.2.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.10.2.2"
+RUN mkdir -p "/opt/kafka-0.11.0.3" && curl -s "$KAFKA_MIRROR/kafka_2.11-0.11.0.3.tgz"
| tar xz --strip-components=1 -C "/opt/kafka-0.11.0.3"
+RUN mkdir -p "/opt/kafka-1.0.2" && curl -s "$KAFKA_MIRROR/kafka_2.11-1.0.2.tgz" |
tar xz --strip-components=1 -C "/opt/kafka-1.0.2"
+RUN mkdir -p "/opt/kafka-1.1.1" && curl -s "$KAFKA_MIRROR/kafka_2.11-1.1.1.tgz" |
tar xz --strip-components=1 -C "/opt/kafka-1.1.1"
 
 # The version of Kibosh to use for testing.
 # If you update this, also update vagrant/base.sy
diff --git a/tests/kafkatest/tests/streams/streams_upgrade_test.py b/tests/kafkatest/tests/streams/streams_upgrade_test.py
index 77833a9..4bc7187 100644
--- a/tests/kafkatest/tests/streams/streams_upgrade_test.py
+++ b/tests/kafkatest/tests/streams/streams_upgrade_test.py
@@ -13,17 +13,19 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+import random
+import time
+from ducktape.mark import matrix, parametrize
 from ducktape.mark.resource import cluster
 from ducktape.tests.test import Test
-from ducktape.mark import ignore, matrix, parametrize
 from kafkatest.services.kafka import KafkaService
+from kafkatest.services.streams import StreamsSmokeTestDriverService, \
+    StreamsSmokeTestJobRunnerService, StreamsUpgradeTestJobRunnerService
 from kafkatest.services.zookeeper import ZookeeperService
-from kafkatest.services.streams import StreamsSmokeTestDriverService, StreamsSmokeTestJobRunnerService,
StreamsUpgradeTestJobRunnerService
-from kafkatest.version import LATEST_0_10_0, LATEST_0_10_1, LATEST_0_10_2, LATEST_0_11_0,
LATEST_1_0, DEV_BRANCH, DEV_VERSION, KafkaVersion
-import random
-import time
+from kafkatest.version import LATEST_0_10_0, LATEST_0_10_1, LATEST_0_10_2, \
+    LATEST_0_11_0, LATEST_1_0, LATEST_1_1, DEV_BRANCH, DEV_VERSION, KafkaVersion
 
-broker_upgrade_versions = [str(LATEST_0_10_1), str(LATEST_0_10_2), str(LATEST_0_11_0), str(LATEST_1_0),
str(DEV_BRANCH)]
+broker_upgrade_versions = [str(LATEST_0_10_1), str(LATEST_0_10_2), str(LATEST_0_11_0), str(LATEST_1_0),
str(LATEST_1_1), str(DEV_BRANCH)]
 simple_upgrade_versions_metadata_version_2 = [str(LATEST_0_10_1), str(LATEST_0_10_2), str(LATEST_0_11_0),
str(LATEST_1_0), str(DEV_VERSION)]
 
 class StreamsUpgradeTest(Test):
@@ -166,10 +168,10 @@ class StreamsUpgradeTest(Test):
         self.driver.stop()
 
     #@parametrize(new_version=str(LATEST_0_10_1)) we cannot run this test until Kafka 0.10.1.2
is released
-    #@parametrize(new_version=str(LATEST_0_10_2)) we cannot run this test until Kafka 0.10.2.2
is released
-    #@parametrize(new_version=str(LATEST_0_11_0)) we cannot run this test until Kafka 0.11.0.3
is released
-    #@parametrize(new_version=str(LATEST_1_0)) we cannot run this test until Kafka 1.0.2
is released
-    #@parametrize(new_version=str(LATEST_1_1)) we cannot run this test until Kafka 1.1.1
is released
+    @parametrize(new_version=str(LATEST_0_10_2))
+    @parametrize(new_version=str(LATEST_0_11_0))
+    @parametrize(new_version=str(LATEST_1_0))
+    @parametrize(new_version=str(LATEST_1_1))
     @parametrize(new_version=str(DEV_VERSION))
     def test_metadata_upgrade(self, new_version):
         """
diff --git a/tests/kafkatest/version.py b/tests/kafkatest/version.py
index 8c327c2..7323cd2 100644
--- a/tests/kafkatest/version.py
+++ b/tests/kafkatest/version.py
@@ -85,7 +85,8 @@ LATEST_0_10_1 = V_0_10_1_1
 # 0.10.2.x versions
 V_0_10_2_0 = KafkaVersion("0.10.2.0")
 V_0_10_2_1 = KafkaVersion("0.10.2.1")
-LATEST_0_10_2 = V_0_10_2_1
+V_0_10_2_2 = KafkaVersion("0.10.2.2")
+LATEST_0_10_2 = V_0_10_2_2
 
 LATEST_0_10 = LATEST_0_10_2
 
@@ -93,10 +94,17 @@ LATEST_0_10 = LATEST_0_10_2
 V_0_11_0_0 = KafkaVersion("0.11.0.0")
 V_0_11_0_1 = KafkaVersion("0.11.0.1")
 V_0_11_0_2 = KafkaVersion("0.11.0.2")
-LATEST_0_11_0 = V_0_11_0_2
+V_0_11_0_3 = KafkaVersion("0.11.0.3")
+LATEST_0_11_0 = V_0_11_0_3
 LATEST_0_11 = LATEST_0_11_0
 
 # 1.0.x versions
 V_1_0_0 = KafkaVersion("1.0.0")
 V_1_0_1 = KafkaVersion("1.0.1")
-LATEST_1_0 = V_1_0_1
\ No newline at end of file
+V_1_0_2 = KafkaVersion("1.0.2")
+LATEST_1_0 = V_1_0_2
+
+# 1.1.x versions
+V_1_1_0 = KafkaVersion("1.1.0")
+V_1_1_1 = KafkaVersion("1.1.1")
+LATEST_1_1 = V_1_1_1
diff --git a/vagrant/base.sh b/vagrant/base.sh
index 0d8bcf0..4243bb0 100755
--- a/vagrant/base.sh
+++ b/vagrant/base.sh
@@ -110,12 +110,14 @@ get_kafka 0.10.0.1 2.11
 chmod a+rw /opt/kafka-0.10.0.1
 get_kafka 0.10.1.1 2.11
 chmod a+rw /opt/kafka-0.10.1.1
-get_kafka 0.10.2.1 2.11
-chmod a+rw /opt/kafka-0.10.2.1
-get_kafka 0.11.0.2 2.11
-chmod a+rw /opt/kafka-0.11.0.2
-get_kafka 1.0.1 2.11
-chmod a+rw /opt/kafka-1.0.1
+get_kafka 0.10.2.2 2.11
+chmod a+rw /opt/kafka-0.10.2.2
+get_kafka 0.11.0.3 2.11
+chmod a+rw /opt/kafka-0.11.0.3
+get_kafka 1.0.2 2.11
+chmod a+rw /opt/kafka-1.0.2
+get_kafka 1.1.1 2.11
+chmod a+rw /opt/kafka-1.1.1
 
 
 # For EC2 nodes, we want to use /mnt, which should have the local disk. On local


Mime
View raw message